Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.types
Class StringEditVector

    java.lang.Object
      cc.mallet.types.StringEditVector

All Implemented Interfaces:
  java.io.Serializable

    public class StringEditVector

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`static int` | `MATCH`
`static int` | `NONMATCH`

Constructor Summary
`StringEditVector()`
`StringEditVector(java.lang.String delimiter)`

Method Summary
`java.lang.String` | `formatString()`
`java.lang.String` | `getFirstString()`
`char` | `getFirstStringChar(int index)`
`int` | `getLengthFirstString()`
`int` | `getLengthSecondString()`
`int` | `getMatch()`
`java.lang.String` | `getSecondString()`
`char` | `getSecondStringChar(int index)`
`boolean` | `parseString(java.lang.String line)`
`void` | `setFirstString(java.lang.String s1)`
`void` | `setMatch(int match)`
`void` | `setSecondString(java.lang.String s2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MATCH

    public static final int MATCH

See Also:
  Constant Field Values

### NONMATCH

    public static final int NONMATCH

See Also:
  Constant Field Values

Constructor Detail

### StringEditVector

    public StringEditVector(java.lang.String delimiter)

### StringEditVector

    public StringEditVector()

Method Detail

### formatString

    public java.lang.String formatString()

### parseString

    public boolean parseString(java.lang.String line)

### setFirstString

    public void setFirstString(java.lang.String s1)

### getFirstString

    public java.lang.String getFirstString()

### getFirstStringChar

    public char getFirstStringChar(int index)

### getLengthFirstString

    public int getLengthFirstString()

### setSecondString

    public void setSecondString(java.lang.String s2)

### getSecondString

    public java.lang.String getSecondString()

### getSecondStringChar

    public char getSecondStringChar(int index)

### getLengthSecondString

    public int getLengthSecondString()

### setMatch

    public void setMatch(int match)

### getMatch

    public int getMatch()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD